<?php
/**
 * RSS Renderer for Aggregate
 *
 *
 * @author Michael Tyson
 * @version 20081127
 * @copyright Michael Tyson http://michael.tyson.id.au 2008
 * @package aggregate
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 **/


/**
 * Configuration
 */

define("TITLE",         "My Site");
define("URL",           "http://mysite.com/aggregate/rss.php");
define("LINK",          "http://mysite.com");
define("DESCRIPTION",   "Things, stuff, and badger magnets");
define("LANGUAGE",      "en");




/******************************************************************************************/
/******************************************************************************************/



include("aggregate.php");

$items = aggregate_items();
$pubDate = $items[0]['pubdate'];
header("Content-Type: text/xml; charset=UTF-8");
header("Last-modified: $pubDate");

echo '<?xml version="1.0" encoding="UTF-8"?>'
?>
<rss version="2.0"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:wfw="http://wellformedweb.org/CommentAPI/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:atom="http://www.w3.org/2005/Atom"
	>

<channel>
	<title><?php echo TITLE ?></title>
	<atom:link href="<?php echo URL ?>" rel="self" type="application/rss+xml" />
	<link><?php echo LINK ?></link>
	<description><![CDATA[<?php echo DESCRIPTION ?>]]></description>
	<pubDate><?php echo $pubDate ?></pubDate>
	<generator>PHP RSS Aggregator http://michael.tyson.id.au/php-rss-aggregator</generator>
	<language><?php echo LANGUAGE ?></language>
<?php foreach ( $items as $item ) : ?>
	<item>
		<title><?php echo htmlspecialchars($item['title']) ?></title>
		<link><?php echo $item['link'] ?></link>
		<?php if ( $item['comments'] ) : ?>
		<comments><?php echo $item['comments'] ?></comments>
		<wfw:commentRss><?php echo $item['comments'] ?></wfw:commentRss>
		<?php endif; ?>
		<pubDate><?php echo $item['pubdate'] ?></pubDate>
		<dc:creator><?php echo $item['dc']['creator'] ?></dc:creator>
		<?php foreach ( $item['categories'] as $category ) : ?>
	    <category><![CDATA[<?php echo $category ?>]]></category>
		<?php endforeach; ?>
		<guid isPermaLink="false"><?php echo $item['guid'] ?></guid>
		<description><![CDATA[<?php echo $item['description'] ?>]]></description>
		<content:encoded><![CDATA[<?php echo ($item['atom_content']?$item['atom_content']:$item['description'])?>]]></content:encoded>
		
	</item>
<?php endforeach; ?>
</channel>
</rss>